Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search.basic
Class BasicResultSetImpl

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractSet
              java.util.HashSet
                  org.apache.slide.search.basic.BasicResultSetImpl

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, IBasicResultSet, java.io.Serializable, java.util.Set

public class BasicResultSetImpl
extends java.util.HashSet
implements IBasicResultSet

An implementation of the `IBasicResultSet` interface.

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Field Summary
`protected boolean` | `partial` Indicated if the result set is truncated for any reason.

Fields inherited from class java.util.HashSet
``

Constructor Summary
`BasicResultSetImpl()` Creates an empty BasicResultSetImpl.
`BasicResultSetImpl(boolean isPartialResult)` Creates an empty BasicResultSetImpl and sets the value returned by `isPartialResultSet()`.
`BasicResultSetImpl(java.util.Collection collection)` Creates a BasicResultSetImpl containing the elements of the given `collection`
`BasicResultSetImpl(java.util.Collection collection, boolean isPartialResult)` Creates a BasicResultSetImpl containing the elements of the given `collection`

Method Summary
`boolean` | `isPartialResultSet()` Returns `true` if the result set is truncated for any reason.
`void` | `setPartialResultSet(boolean partial)` Sets the value returned by `isPartialResultSet()`.

Methods inherited from class java.util.HashSet
`add, clear, clone, contains, isEmpty, iterator, remove, size`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Field Detail

### partial

    protected boolean partial

  Indicated if the result set is truncated for any reason.

Constructor Detail

### BasicResultSetImpl

    public BasicResultSetImpl()

  Creates an empty BasicResultSetImpl.

### BasicResultSetImpl

    public BasicResultSetImpl(boolean isPartialResult)

  Creates an empty BasicResultSetImpl and sets the value returned by `isPartialResultSet()`.

Parameters:
  `isPartialResult` - the value to be returned by `isPartialResultSet()`.

### BasicResultSetImpl

    public BasicResultSetImpl(java.util.Collection collection)

  Creates a BasicResultSetImpl containing the elements of the given `collection`

Parameters:
  `collection` - the Collection whose elements to add.

### BasicResultSetImpl

    public BasicResultSetImpl(java.util.Collection collection,
                              boolean isPartialResult)

  Creates a BasicResultSetImpl containing the elements of the given `collection`

Parameters:
  `collection` - the Collection whose elements to add.
  `isPartialResult` - the value to be returned by `isPartialResultSet()`.

Method Detail

### isPartialResultSet

    public boolean isPartialResultSet()

  Returns `true` if the result set is truncated for any reason.

  Specified by:
    `isPartialResultSet` in interface `IBasicResultSet`
  Returns:
    `true` if the result set is truncated for any reason.

### setPartialResultSet

    public void setPartialResultSet(boolean partial)

  Sets the value returned by `isPartialResultSet()`.

  Parameters:
    `partial` - the new value to be returned by `isPartialResultSet()`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD